package cn.newfeifan.mall.module.distri.constant;


import java.math.BigDecimal;

public class DistriConstants {
    // ========== 分销信息商户信息 1-002-029-000 ==========
    public static final Integer PERCENT = 10000;
    public static final Integer ONE_HUNDRED = 100;

    public static final Integer MILLION = 1000000;      //百万倍
    public static final Integer THREE = 3;
    public static final Long PT_ID = 1L;

    public static final Boolean IS_EFFECTIVE  = true;

    public static final double GROSS_PROFIT_BONUS_QUOTA_PERC = 0.2;

    //将身价参数存在redis中的前缀
    public static final String DISTRI_ORDER_PERCENTAGE  = "distri:orderPercentage";

    // 数据库中，积分比金钱大的倍数，即钱转成积分要乘于此参数
    public static final Integer MONEY2INTEGRAL = PERCENT;

    public static final BigDecimal MONEY2INTEGRAL_BIG_DECIMAL = new BigDecimal(Integer.parseInt(MONEY2INTEGRAL.toString()));
}
