ALTER TABLE pay_order
    ADD COLUMN `pay_order_no` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '支付订单号';

ALTER TABLE pay_app
    ADD COLUMN `fuyou_order_notify_url` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '富友支付结果的回调地址',
  ADD COLUMN `fuyou_refund_notify_url` varchar(1024) COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '富友退款结果的回调地址';

ALTER TABLE pay_order_extension
    ADD COLUMN `channel_response` text COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '支付渠道的响应体';

ALTER TABLE pay_order_extension
    MODIFY COLUMN channel_extras text COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '支付渠道的额外参数';

ALTER TABLE pay_refund
    ADD COLUMN `pay_refund_no` varchar(64) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT '支付订单号',
	ADD COLUMN `channel_request` text COLLATE utf8mb4_unicode_ci COMMENT '退款渠道的请求体',
	ADD COLUMN `channel_response` text COLLATE utf8mb4_unicode_ci COMMENT '退款渠道的响应体';