package cn.newfeifan.mall.module.distri.controller.admin.applicationforwithdrawalchannel.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Builder;
import lombok.Data;

@Schema(description = "管理后台 - 提现记录 Response VO")
@Data
@ExcelIgnoreUnannotated
@Builder
public class ApplicationForWithdrawalChannelExcelRespVO {

    @Schema(description = "收款方名称")
    @ExcelProperty("收款方名称")
    private String name;

    @Schema(description = "收款方账号")
    @ExcelProperty("收款方账号")
    private String account;

    @Schema(description = "金额")
    @ExcelProperty("金额")
    private String amount;

    @Schema(description = "附言/用途")
    @ExcelProperty("附言/用途")
    private String mark;

}
